I've been wanting to buy an 80gb 5.5gen ipod, but a new ipod classic is the same price.
Can I install the 5 or 5.5 firmware on a classic?